Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.edit.spi.util
Interface ECPApplicableTester

All Known Implementing Classes:
  AttributeMultiControlTester, ECPStaticApplicableTester, ReferenceMultiControlTester, RuleFeaturePathTester, TableDomainModelReferenceTester

Deprecated.

    @Deprecated
    public interface ECPApplicableTester

This interface defines a `isApplicable(IItemPropertyDescriptor, EObject)` method which is used to determine the priority of a control. The control with the highest priority for a combination of an `EObject` and a feature will be used.

Author:
  Eugen Neufeld

Field Summary
`static int` | `NOT_APPLICABLE` Deprecated. Return this whenever the control should not be drawn for the tested feature.

Method Summary
`int` | `isApplicable(org.eclipse.emf.ecore.EObject eObject, org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)` Deprecated. Returns the priority of the corresponding control for the combination of the `EObject` and the `EStructuralFeature`.
`int` | `isApplicable(org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor, org.eclipse.emf.ecore.EObject eObject)` Deprecated.
`int` | `isApplicable(VDomainModelReference domainModelReference)` Deprecated. Do not use. Use `isApplicable(EObject, EStructuralFeature)` instead.

Field Detail

### NOT_APPLICABLE

    static final int NOT_APPLICABLE

  Deprecated.
  Return this whenever the control should not be drawn for the tested feature.

  See Also:
    Constant Field Values

Method Detail

### isApplicable

    @Deprecated
    int isApplicable(org.eclipse.emf.edit.provider.IItemPropertyDescriptor itemPropertyDescriptor,
                                org.eclipse.emf.ecore.EObject eObject)

  Deprecated.

  Returns the priority of the corresponding control for the combination of the `EObject` and the `IItemPropertyDescriptor`.

  Parameters:
    `itemPropertyDescriptor` - the `IItemPropertyDescriptor` to test
    `eObject` - the `EObject` to test
  Returns:
    `NOT_APPLICABLE` if the corresponding control should not be used, a positivie integer value otherwise. The control with the highest priority will be taken.

### isApplicable

    @Deprecated
    int isApplicable(VDomainModelReference domainModelReference)

  Deprecated. Do not use. Use `isApplicable(EObject, EStructuralFeature)` instead.

  Returns the priority of the corresponding control for the provided `VDomainModelReference`.

  Parameters:
    `domainModelReference` - the `VDomainModelReference` to test
  Returns:
    `NOT_APPLICABLE` if the corresponding control should not be used, a positivie integer value otherwise. The control with the highest priority will be taken.
  Since:
    1.2

### isApplicable

    int isApplicable(org.eclipse.emf.ecore.EObject eObject,
                     org.eclipse.emf.ecore.EStructuralFeature eStructuralFeature)

  Deprecated.
  Returns the priority of the corresponding control for the combination of the `EObject` and the `EStructuralFeature`.

  Parameters:
    `eStructuralFeature` - the `EStructuralFeature` to test
    `eObject` - the `EObject` to test
  Returns:
    `NOT_APPLICABLE` if the corresponding control should not be used, a positivie integer value otherwise. The control with the highest priority will be taken.
  Since:
    1.2

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.